<?
require_once('include/global.php');
require_once('include/admin_lib.php');
require_once("include/admin_web_allow_ip_lib.php");
#require_once('sadmin_conf.inc.php');

// check
	if (!$_POST['ip_ipaddr'] || !$_POST['ip_netmask'])
		msg('올바른	URL로 접근하여 주십시오');

	if ($_GET['isadmin'])
	{
		auth_limit('admin');
		$_POST['sa_d_no'] = $G['DINFO']['d_no'];
	} else
	{
		auth_limit('serveradmin');

		// 사용가능한 도메인인지 확인.
			$sql = "SELECT d_name FROM ".$TB['DOMAIN']." WHERE d_no='". $_POST['sa_d_no'] . "'";
			$G_SYS['MAIL_DOMAIN'] = db_get_one($sql);
			if ($G_SYS['MAIL_DOMAIN'] == '')
				msg("존재하지 않는 도메인입니다.\\n\\n확인후 다시 시도하여 주십시오.");
	}	// if()

	// 사용가능한 ID인지 확인.
		if (isset($_POST['m_id']) && $_POST['m_id'] !== '') {
			$sql = "SELECT m_id FROM " . $TB['MEMBER'] . " WHERE m_id='" . $_POST['m_id'] . "'";
			$m_id = db_get_one($sql);
			if ($m_id == '')
				msg("존재하지 않는 아이디입니다.\\n\\n확인후 다시 시도하여 주십시오.");
		}

	// 중복여부 체크
	$sql = "SELECT COUNT(*)  FROM ".$TB['WEB_ALLOW_IP']." WHERE d_no='".$_POST['sa_d_no']."' AND ip_ipaddr='" . $_POST['ip_ipaddr'] . "' AND ip_netmask='" . $_POST['ip_netmask'] . "' AND m_id='" . $_POST['m_id'] . "'";
	$ip_cnt = db_get_one($sql);
	if ($ip_cnt > 0)
		msg("이미 추가된 IP입니다.");


// data
	// [2025-07-15] 기존 웹메일 접근 IP 관리에 아이디 추가
	$_POST['m_id'] = to_db_str($_POST['m_id'], 255);
	$_POST['ip_ipaddr'] = to_db_str($_POST['ip_ipaddr'], 15, false);
	$_POST['ip_netmask'] = to_db_str($_POST['ip_netmask'], 15, false);
	$_POST['ip_memo'] = to_db_str($_POST['ip_memo'], 255);
	$_POST['ip_regdate'] = date('Y-m-d H:i:s');

	// 추가
	$sql = "
		INSERT INTO
			" . $TB['WEB_ALLOW_IP'] . "
			(d_no, m_id, ip_ipaddr, ip_netmask, ip_memo, ip_regdate)
		VALUES
			('" . $_POST['sa_d_no'] . "', '" . $_POST['m_id'] . "', '" . $_POST['ip_ipaddr'] . "', '" . $_POST['ip_netmask'] . "',  '" . $_POST['ip_memo'] . "', '" . $_POST['ip_regdate'] . "')
		";
	db_query($sql);


	// 최초 등록시, 현재 접근한 관리자의 IP가 등록되지 않았을 경우, 자동으로 추가함.
	if (($_GET['isadmin'] || $_POST['sa_d_no'] == $AUTH['auth_d_no']) && ($_POST['m_id'] === '' || $_POST['m_id'] === $AUTH['auth_m_id']))
	{

		$web_allow_ip_id_check = web_allow_ip_id_check($_POST['sa_d_no'], $_SERVER['REMOTE_ADDR'], $_POST['m_id']);
		if (! $web_allow_ip_id_check)
		{
			$sql = "
				INSERT INTO
					" . $TB['WEB_ALLOW_IP'] . "
					(d_no, m_id, ip_ipaddr, ip_netmask, ip_memo, ip_regdate)
				VALUES
					('" . $_POST['sa_d_no'] . "', '" . $_POST['m_id'] . "', '" . $_SERVER['REMOTE_ADDR'] . "', '255.255.255.255',  '(관리자 IP 자동 추가)', '" . $_POST['ip_regdate'] . "')
				";
			db_query($sql);

			msg("[".$_POST['ip_ipaddr']."] IP가 등록되었습니다.\\n\\n참고)\\n  현재 접근한 [".$_SERVER['REMOTE_ADDR']."] 관리자 IP 도 자동 추가되었습니다.", 0);
		}	// if()
	}	// if()



// end
	//msg("등록되었습니다.", 0);
	if ($_GET['is_window_close'])
	{
		?>
			<script language="JavaScript">
			<!--
				window.close();
			//-->
			</script>
		<?
	} else if ($_POST['back_url'])
	{
		movepage($_POST['back_url']);
	} else
	{
		movepage('admin_web_allow_ip_list.php?'.get_qs('d_no'));
	}	// if()

require_once('include/global_end.php');
?>